Description

The logic for finding /share/qgis etc is kept in qgsapplication.cpp. qgis_help has previously not used that, which leads to confusions (and

errors). This patch uses the same logic. As the source files are included directly, no dependency on libqgis_* is created.

The purpose is to find the correct qgis_*.ts and the correct path to the context help files.

History

#1 - 2007-02-25 09:03 AM - Magnus Homann

Tested on win32 and linux. Bundled linux will not work UNLESS this patch is added.

#2 - 2007-02-25 06:38 PM - Tim Sutton

Hi

I get

/Users/tim/dev/cpp/qgis0.8/src/helpviewer/main.cpp: In function 'int main(int, char**)':

/Users/tim/dev/cpp/qgis0.8/src/helpviewer/main.cpp:22: error: cannot call member function 'void [[QgsApplication]]::setPkgDataPath(const QString&)'

without object

maker2: * [src/helpviewer/CMakeFiles/qgis_help.dir/main.o] Error 1

maker1:  [src/helpviewer/CMakeFiles/qgis_help.dir/all] Error 2

make: ** [all] Error 2

When applying the patch on mac. Im investigating why and will close this ticket after that is resolved.

Thanks Magnus!

#3 - 2007-02-25 08:11 PM - Tim Sutton

- Resolution set to fixed

- Status changed from Open to Closed

Applied to 0.8 branch with revision 6701

#4 - 2009-08-22 12:51 AM - Anonymous

Milestone Version 0.8.1 deleted
